=== modified file 'NEWS'
--- NEWS	2005-10-08 00:50:43 +0000
+++ NEWS	2005-10-08 08:45:42 +0000
@@ -54,6 +54,8 @@
       merge conflicts respectively. A conflicted tree cannot be committed
       in. Contributed by Aaron Bentley.
 
+    * 'rm' is now an alias for 'remove'.
+
 
   INTERNALS:
 

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2005-10-06 13:08:14 +0000
+++ bzrlib/builtins.py	2005-10-08 08:45:42 +0000
@@ -475,6 +475,7 @@
     """
     takes_args = ['file+']
     takes_options = ['verbose']
+    aliases = ['rm']
     
     def run(self, file_list, verbose=False):
         b = Branch.open_containing(file_list[0])

=== modified file 'bzrlib/selftest/blackbox.py'
--- bzrlib/selftest/blackbox.py	2005-10-08 00:02:33 +0000
+++ bzrlib/selftest/blackbox.py	2005-10-08 08:45:42 +0000
@@ -694,12 +694,18 @@
             runbzr('remove d2/link1')
             assert self.capture('unknowns') == 'd2/link1\n'
             runbzr(['commit', '-m', '5: remove d2/link1'])
+            # try with the rm alias
+            runbzr('add d2/link1')
+            runbzr(['commit', '-m', '6: add d2/link1'])
+            runbzr('rm d2/link1')
+            assert self.capture('unknowns') == 'd2/link1\n'
+            runbzr(['commit', '-m', '7: remove d2/link1'])
     
             os.mkdir("d1")
             runbzr('add d1')
             runbzr('rename d2/link3 d1/link3new')
             assert self.capture('unknowns') == 'd2/link1\n'
-            runbzr(['commit', '-m', '6: remove d2/link1, move/rename link3'])
+            runbzr(['commit', '-m', '8: remove d2/link1, move/rename link3'])
             
             runbzr(['check'])
             
@@ -737,9 +743,9 @@
             assert listdir_sorted("d2")== [ "link3" ]
             chdir("..")
             
-            runbzr(['export', '-r', '6', 'exp6.tmp'])
+            runbzr(['export', '-r', '8', 'exp6.tmp'])
             chdir("exp6.tmp")
-            assert listdir_sorted(".") == [ "d1", "d2", "link2" ]
+            self.assertEqual(listdir_sorted("."), [ "d1", "d2", "link2"])
             assert listdir_sorted("d1") == [ "link3new" ]
             assert listdir_sorted("d2") == []
             assert os.readlink("d1/link3new") == "NOWHERE3"

